
import system from './index' // 系统首页

import systemSet from './systemSet/index' // 系统设置
import userManger from './systemSet/userManger/index' // 用户管理
import addUser from './systemSet/userManger/add' // 添加用户
import editUser from './systemSet/userManger/edit' // 编辑用户
import roleManger from './systemSet/roleManger/index' // 角色管理
import addRole from './systemSet/roleManger/add' // 添加角色
import editRole from './systemSet/roleManger/edit' // 编辑角色

import caseManger from './caseManger/index' // 案场管理
import caseInfo from './caseManger/caseInfo/index' // 案场信息
import addCase from './caseManger/caseInfo/addCase/index' // 新增案场
import editCase from './caseManger/caseInfo/editCase/index' // 新增案场
import keyManger from './caseManger/keyManger/index' // 钥匙管理
import caseAreaManger from './caseManger/caseAreaManger/index' // 案场区域管理
import addCaseArea from './caseManger/caseAreaManger/add' // 新增案场区域
import editCaseArea from './caseManger/caseAreaManger/edit' // 编辑案场区域
import caseTableManger from './caseManger/caseTableManger/index' // 案场桌位管理
import addCaseTable from './caseManger/caseTableManger/add' // 新增案场桌位
import editCaseTable from './caseManger/caseTableManger/edit' // 编辑案场桌位

import goodsManger from './goodsManger/index' // 商品管理
import goodsTypeManger from './goodsManger/goodsTypeManger/index' // 商品类型管理
import addGoodsType from './goodsManger/goodsTypeManger/add' // 新增商品类型
import editGoodsType from './goodsManger/goodsTypeManger/edit' // 编辑商品类型
import goodsSpecManger from './goodsManger/goodsSpecManger/index' // 商品规格管理
import addGoodsSpec from './goodsManger/goodsSpecManger/add' // 新增商品规格
import editGoodsSpec from './goodsManger/goodsSpecManger/edit' // 编辑商品规格管理

import cmsManger from './cmsManger/index' // cms管理
import bannerManger from './cmsManger/bannerManger/index' // 轮播图管理
import addBanner from './cmsManger/bannerManger/add' // 添加轮播图
import editBanner from './cmsManger/bannerManger/edit' // 编辑轮播图
import majorProjects from './cmsManger/majorProjects/index' // 售楼处项目专题
import addMajorProjects from './cmsManger/majorProjects/add' // 新增售楼处项目专题
import editMajorProjects from './cmsManger/majorProjects/edit' // 编辑售楼处项目专题
import indexMsg from './cmsManger/indexMsg/index' // 首页消息
import addIndexMsg from './cmsManger/indexMsg/add' // 新增首页消息
import editIndexMsg from './cmsManger/indexMsg/edit' // 新增首页消息
import newsManger from './cmsManger/newsManger/index' // 资讯管理
import addNews from './cmsManger/newsManger/add' // 资讯管理
import editNews from './cmsManger/newsManger/edit' // 资讯管理

import channelManger from './channelManager/index' // 渠道管理
import channelList from './channelManager/channelList/index' // 渠道列表
import addChannel from './channelManager/channelList/add' // 新增渠道
import editChannel from './channelManager/channelList/edit' // 编辑渠道

import courseManger from './courseManger/index' // 课程管理
import fiveA from './courseManger/fiveA/index' // 全龄生活5A
import addFiveA from './courseManger/fiveA/add' // 全龄生活5A添加
import editFiveA from './courseManger/fiveA/edit' // 全龄生活5A编辑
import courseTag from './courseManger/courseTag/index' // 课程标签
import addCourseTag from './courseManger/courseTag/add' // 新增课程标签
import editCourseTag from './courseManger/courseTag/edit' // 编辑课程标签

import dataStatistics from './dataStatistics/index' // 数据统计
import frontEndUserList from './dataStatistics/frontEndUserList/index' // 课程管理

export default {
  router: [
    {
      path: '/system',
      name: 'system',
      component: system,
      children: [{ // 系统设置
        path: 'systemSet',
        name: 'systemSet',
        component: systemSet,
        children: [{ // 用户管理
          path: 'userManger',
          name: 'userManger',
          component: userManger,
          children: []
        }, { // 添加用户
          path: 'userManger/addUser',
          name: 'addUser',
          component: addUser,
          children: []
        }, { // 编辑用户
          path: 'userManger/editUser',
          name: 'editUser',
          component: editUser,
          children: []
        }, { // 角色管理
          path: 'roleManger',
          name: 'roleManger',
          component: roleManger,
          children: []
        }, { // 添加角色
          path: 'roleManger/addRole',
          name: 'addRole',
          component: addRole,
          children: []
        }, { // 编辑角色
          path: 'roleManger/editRole',
          name: 'editRole',
          component: editRole,
          children: []
        }],
      }, { // 案场管理
        path: 'caseManger',
        name: 'caseManger',
        component: caseManger,
        children: [{ // 案场信息
          path: 'caseInfo',
          name: 'caseInfo',
          component: caseInfo,
          children: []
        }, { // 新增案场
          path: 'caseInfo/addCase',
          name: 'addCase',
          component: addCase,
          children: []
        }, { // 编辑案场
          path: 'caseInfo/editCase',
          name: 'editCase',
          component: editCase,
          children: []
        }, { // 钥匙管理
          path: 'keyManger',
          name: 'keyManger',
          component: keyManger,
          children: []
        }, { // 案场区域管理
          path: 'caseAreaManger',
          name: 'caseAreaManger',
          component: caseAreaManger,
          children: []
        }, { // 新增案场区域
          path: 'caseAreaManger/addCaseArea',
          name: 'addCaseArea',
          component: addCaseArea,
          children: []
        }, { // 编辑案场区域
          path: 'caseAreaManger/editCaseArea',
          name: 'editCaseArea',
          component: editCaseArea,
          children: []
        }, { // 案场桌位管理
          path: 'caseTableManger',
          name: 'caseTableManger',
          component: caseTableManger,
          children: []
        }, { // 新增案场桌位
          path: 'caseTableManger/addCaseTable',
          name: 'addCaseTable',
          component: addCaseTable,
          children: []
        }, { // 编辑案场桌位
          path: 'caseTableManger/editCaseTable',
          name: 'editCaseTable',
          component: editCaseTable,
          children: []
        }],
      }, { // 商品管理
        path: 'goodsManger',
        name: 'goodsManger',
        component: goodsManger,
        children: [{ // 商品类型管理
          path: 'goodsTypeManger',
          name: 'goodsTypeManger',
          component: goodsTypeManger,
          children: []
        }, { // 新增商品类型
          path: 'goodsTypeManger/addGoodsType',
          name: 'addGoodsType',
          component: addGoodsType,
          children: []
        }, { // 编辑商品类型
          path: 'goodsTypeManger/editGoodsType',
          name: 'editGoodsType',
          component: editGoodsType,
          children: []
        }, { // 商品规格管理
          path: 'goodsSpecManger',
          name: 'goodsSpecManger',
          component: goodsSpecManger,
          children: []
        }, { // 新增商品规格
          path: 'goodsSpecManger/addGoodsSpec',
          name: 'addGoodsSpec',
          component: addGoodsSpec,
          children: []
        }, { // 编辑商品规格
          path: 'goodsSpecManger/editGoodsSpec',
          name: 'editGoodsSpec',
          component: editGoodsSpec,
          children: []
        }],
      }, { // cms管理
        path: 'cmsManger',
        name: 'cmsManger',
        component: cmsManger,
        children: [{ // 轮播图管理
          path: 'bannerManger',
          name: 'bannerManger',
          component: bannerManger,
          children: []
        }, { // 新增轮播图
          path: 'bannerManger/addBanner',
          name: 'addBanner',
          component: addBanner,
          children: []
        }, { // 编辑轮播图
          path: 'bannerManger/editBanner',
          name: 'editBanner',
          component: editBanner,
          children: []
        }, { // 售楼处项目专题
          path: 'majorProjects',
          name: 'majorProjects',
          component: majorProjects,
          children: []
        }, { // 新增售楼处项目专题
          path: 'majorProjects/addMajorProjects',
          name: 'addMajorProjects',
          component: addMajorProjects,
          children: []
        }, { // 编辑售楼处项目专题
          path: 'majorProjects/editMajorProjects',
          name: 'editMajorProjects',
          component: editMajorProjects,
          children: []
        }, { // 首页消息
          path: 'indexMsg',
          name: 'indexMsg',
          component: indexMsg,
          children: []
        }, { // 新增首页消息
          path: 'indexMsg/addIndexMsg',
          name: 'addIndexMsg',
          component: addIndexMsg,
          children: []
        }, { // 编辑首页消息
          path: 'indexMsg/editIndexMsg',
          name: 'editIndexMsg',
          component: editIndexMsg,
          children: []
        }, { // 资讯管理
          path: 'newsManger',
          name: 'newsManger',
          component: newsManger,
          children: []
        }, { // 新增资讯
          path: 'newsManger/addNews',
          name: 'addNews',
          component: addNews,
          children: []
        }, { // 编辑资讯
          path: 'newsManger/editNews',
          name: 'editNews',
          component: editNews,
          children: []
        }],
      }, { // 渠道管理
        path: 'channelManger',
        name: 'channelManger',
        component: channelManger,
        children: [{ // 渠道列表
          path: 'channelList',
          name: 'channelList',
          component: channelList,
          children: []
        }, { // 新增渠道
          path: 'channelList/addChannel',
          name: 'addChannel',
          component: addChannel,
          children: []
        }, { // 编辑渠道
          path: 'channelList/editChannel',
          name: 'editChannel',
          component: editChannel,
          children: []
        }],
      }, { // 课程管理
        path: 'courseManger',
        name: 'courseManger',
        component: courseManger,
        children: [{ // 全龄生活5A
          path: 'fiveA',
          name: 'fiveA',
          component: fiveA,
          children: []
        }, { // 全龄生活5A添加
          path: 'fiveA/addFiveA',
          name: 'addFiveA',
          component: addFiveA,
          children: []
        }, { // 全龄生活5A编辑
          path: 'fiveA/editFiveA',
          name: 'editFiveA',
          component: editFiveA,
          children: []
        }, { // 课程标签
          path: 'courseTag',
          name: 'courseTag',
          component: courseTag,
          children: []
        }, { // 新增课程标签
          path: 'courseTag/addCourseTag',
          name: 'addCourseTag',
          component: addCourseTag,
          children: []
        }, { // 编辑课程标签
          path: 'courseTag/editCourseTag',
          name: 'editCourseTag',
          component: editCourseTag,
          children: []
        }],
      }, { // 数据统计
        path: 'dataStatistics',
        name: 'dataStatistics',
        component: dataStatistics,
        children: [{ // 前台用户列表
          path: 'frontEndUserList',
          name: 'frontEndUserList',
          component: frontEndUserList,
          children: []
        }]
      }]
    },
  ],
}
