import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

const store = new Vuex.Store({
  state: {
    loadding: false,
  }
})

export const modules = {
  case: () => require('./case').default,
  user: () => require('./user').default,
}

Object.keys(modules).forEach((modKey) => {
  const modNS = modKey.split('/')
  const getMod = modules[modKey]

  store.registerModule(...modNS, getMod())
})

export default store
